#ifndef __SOFTKEYWINDOW_HPP
#define __SOFTKEYWINDOW_HPP

#include <SophiaFramework.hpp>

// Agr[g`
SFMRESPONDERATTRIBUTE(SOFTKEY, four_char_code('S', 'o', 'f', 't'))

SFMTYPEDEFCLASS(SoftkeyWindow)
class SoftkeyWindow : public SFRPlainWindow {
    SFMSEALCOPY(SoftkeyWindow)
private:
    // ɕ\镶
    SFXAnsiString _left;
    // ɕ\镶
    SFXAnsiString _center;
    // Eɕ\镶
    SFXAnsiString _right;
public:
    SoftkeyWindow(Void) static_throws;
    static SoftkeyWindowPtr GetInstance(Void);
    SInt16 GetHeight(Void);
    Void Set(SFXAnsiStringConstRef left = SFXAnsiString::EmptyInstance(),
        SFXAnsiStringConstRef center = SFXAnsiString::EmptyInstance(),
        SFXAnsiStringConstRef right = SFXAnsiString::EmptyInstance());
private:
    HANDLER_DECLARE_VOIDRENDER(OnRenderContent)
};

#endif //__SOFTKEYWINDOW_HPP
